include:
    - template: DAST-API.gitlab-ci.yml
    - template: Auto-DevOps.gitlab-ci.yml

image: docker:stable

variables:
    DAST_API_BETA: 1
    DAST_API_POSTMAN_COLLECTION: postman_collection.json
    DAST_API_TARGET_URL: http://target:7777
    TARGET_IMAGE: $CI_REGISTRY_IMAGE/$CI_COMMIT_REF_SLUG:$CI_COMMIT_SHA
    # Disable uneeded/unwanted stuff
    POSTGRES_ENABLED: 'false'
    SAST_DISABLED: 'true'
    TEST_DISABLED: 'true'
    CODE_QUALITY_DISABLED: 'true'
    LICENSE_MANAGEMENT_DISABLED: 'true'
    BROWSER_PERFORMANCE_DISABLED: 'true'
    LOAD_PERFORMANCE_DISABLED: 'true'
    SECRET_DETECTION_DISABLED: 'true'
    DEPENDENCY_SCANNING_DISABLED: 'true'
    CONTAINER_SCANNING_DISABLED: 'true'
    CODE_INTELLIGENCE_DISABLED: 'true'

build:
    stage: build
    services:
        - docker:stable-dind
    script:
        - docker build -t $TARGET_IMAGE .
        - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
        - docker push $TARGET_IMAGE

# Extend the dast api job defined in CI template
# adding a services section with our test target
dast_api:
    services:
        - name: $TARGET_IMAGE
          alias: target
